Main Page Namespace List Class Hierarchy Compound List File List Namespace Members Compound Members File Members

# mysqlpp::Date Struct Reference

Holds MySQL dates. More...

`#include <datetime.h>`

Inheritance diagram for mysqlpp::Date:

[legend]
Collaboration diagram for mysqlpp::Date:

[legend]
List of all members.

## Public Methods
| Date ()
| Default constructor.
| Date (cchar *str)
| Initialize object from a MySQL date string.
| Date (const ColData &str)
| Initialize object from a MySQL date string.
| Date (const std::string &str)
| Initialize object from a MySQL date string.
short int | compare (const Date &other) const
| Compare this date to another.

## Detailed Description

Holds MySQL dates.

Objects of this class can be inserted into streams, and initialized from MySQL DATE strings.

## Constructor & Destructor Documentation

mysqlpp::Date::Date | ( | cchar * | str | ) | `[inline]`

| Initialize object from a MySQL date string. String must be in the YYYY-MM-DD format. It doesn't have to be zero-padded.

mysqlpp::Date::Date | ( | const ColData & | str | ) | `[inline]`

| Initialize object from a MySQL date string. See also: Date(cchar*)

mysqlpp::Date::Date | ( | const std::string & | str | ) | `[inline]`

| Initialize object from a MySQL date string. See also: Date(cchar*)

## Member Function Documentation

short int mysqlpp::Date::compare | ( | const Date & | other | ) | const`[inline, virtual]`

| Compare this date to another. See also: mysql_date::compare() for implementation Implements mysqlpp::DTbase< Date >.

The documentation for this struct was generated from the following file:

- datetime.h